﻿using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using ITCWebshop4.Models.Mapping;

namespace ITCWebshop4.Models
{
    public partial class ITCDBContext : DbContext
    {
        static ITCDBContext()
        {
            Database.SetInitializer<ITCDBContext>(null);
        }

        public ITCDBContext()
            : base("Name=ITCDBContext")
        {
        }

        public DbSet<tblCategorie> Categories { get; set; }
        public DbSet<tblLang> Langs { get; set; }
        public DbSet<tblProduct> Products { get; set; }
        public DbSet<tblText> Texts { get; set; }
        public DbSet<tblUser> Users { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Configurations.Add(new tblCategorieMap());
            modelBuilder.Configurations.Add(new tblLangMap());
            modelBuilder.Configurations.Add(new tblProductMap());
            modelBuilder.Configurations.Add(new tblTextMap());
            modelBuilder.Configurations.Add(new tblUserMap());
        }
    }
}
