using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.ModelConfiguration;

namespace ITCWebshop4.Models.Mapping
{
    public class tblTextMap : EntityTypeConfiguration<tblText>
    {
        public tblTextMap()
        {
            // Primary Key
            this.HasKey(t => new { t.TextId, t.LangId });

            // Properties
            this.Property(t => t.Value)
                .IsRequired()
                .HasMaxLength(2000);

            // Table & Column Mappings
            this.ToTable("tblText");
            this.Property(t => t.TextId).HasColumnName("TextId");
            this.Property(t => t.LangId).HasColumnName("LangId");
            this.Property(t => t.Value).HasColumnName("Value");

            // Relationships
            this.HasRequired(t => t.tblLang)
                .WithMany(t => t.tblTexts)
                .HasForeignKey(d => d.LangId);

        }
    }
}
